Bug 120030 - CAN-2004-0109 kernel iso9660 buffer overflow (ia64)
CAN-2004-0109 kernel iso9660 buffer overflow (ia64)
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-04-05 08:05 EDT by Mark J. Cox (Product Security)
Modified: 2013-03-06 00:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-23 13:31:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-04-05 08:05:48 EDT
In Feburary, iDefense notified us of a flaw in the iso9660 filesystem
component of the Linux kernel.  

The Linux kernel performs no length checking on symbolic links stored
on an ISO9660 filesystem, allowing a malformed CD to perform an
arbitrary length overflow in kernel memory. 

In order to exploit this vulnerability, an attacker must be able to
mount a maliciously constructed filesystem (for example by being at
the machine in order to insert a cdrom)

This issue is embargoed until 1400UTC on April 14th 2004.
Comment 1 Mark J. Cox (Product Security) 2004-04-16 08:47:40 EDT
removing embargo
Comment 2 Jason Baron 2004-04-23 13:31:04 EDT
this was fixed in U4, e.43+ closing.

Note You need to log in before you can comment on or make changes to this bug.